package com.base.scanqrclear.bean

import com.base.scanqrclear.bean.FunctionUIBean.Companion.KEY_FACEBOOK

data class FacebookUIBean(
    val url: String? = null,
    val id: String? = null
) : ScanBean(KEY_FACEBOOK) {

    companion object {

        //        fb://profile/www.baidu.con
        fun FacebookUIBean.createFacebookUrlQrString(): String {
            return "fb://profile/$url"
        }


        //        fb://profile/123456
        fun FacebookUIBean.createFacebookIdQrString(): String {
            return "fb://profile/$id"
        }
    }
}